Gecode::Int::TaskTraits< Unary::ManFixPSETask > Class Reference

Task traits for mandatory fixed tasks. More...

`#include <unary.hh>`

## Public Types

typedef Unary::ManFixPSETaskFwd | TaskViewFwd
| The forward task view type.
typedef Unary::ManFixPSETaskBwd | TaskViewBwd
| The backward task view type.

## Detailed Description

Task traits for mandatory fixed tasks.

Definition at line 601 of file unary.hh.

## Member Typedef Documentation

## TaskViewFwd

typedef Unary::ManFixPSETaskFwd Gecode::Int::TaskTraits< Unary::ManFixPSETask >::TaskViewFwd

The forward task view type.

Definition at line 604 of file unary.hh.

## TaskViewBwd

typedef Unary::ManFixPSETaskBwd Gecode::Int::TaskTraits< Unary::ManFixPSETask >::TaskViewBwd

The backward task view type.

Definition at line 606 of file unary.hh.

The documentation for this class was generated from the following file:

- gecode/int/unary.hh